# Contributing to go2chef
We want to make contributing to this project as easy and transparent as
possible.

## Our Development Process
We gladly accept pull requests and will deal with the merging appropriately.

## Contributor License Agreement ("CLA")
In order to accept your pull request, we need you to submit a CLA. You only
need to do this once to work on any of Facebook's open source projects.

Complete your CLA here: <https://code.facebook.com/cla>

## Issues
We use GitHub issues to track public bugs. Please ensure your description is
clear and has sufficient instructions to be able to reproduce the issue.

Facebook has a [bounty program](https://www.facebook.com/whitehat/) for the
safe disclosure of security bugs. In those cases, please go through the
process outlined on that page and do not file a public issue.

## Sending a pull request
Have a fix or feature? Awesome! When you send the pull request we suggest you
include a test output if relevant. New features should be accompained by tests
whenever possible.

We will hold all contributions to the same quality and style standards as the
existing code.

## License
By contributing to this repository, you agree that your contributions will be
licensed in accordance to the LICENSE document in the root of this repository.
